commit: 9b0c758bcfec53e2f2977258567c3c8c0627c334
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 31 04:24:12 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 31 05:10:12 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b0c758b
dev-python/apsw: Bump to 3.50.0.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/apsw/Manifest | 1 +
dev-python/apsw/apsw-3.50.0.0.ebuild | 53 ++++++++++++++++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/dev-python/apsw/Manifest b/dev-python/apsw/Manifest
index 0b0b27ffaced..10ab3dd52411 100644
--- a/dev-python/apsw/Manifest
+++ b/dev-python/apsw/Manifest
@@ -1,2 +1,3 @@
DIST apsw-3.47.2.0.zip 2428145 BLAKE2B
12ece7d7854a729510b2e18d3285fc49135b3cbb3480567a0c6879c98d48b2d49bc75f4cb46af738c4a565cc6c29f7cd5d35fd2c6ea5fe1814e8048030f966fb
SHA512
9884f36811bfff7276642841ebaa198669c48f4d54bb764a985ea5bdd88f9f630f9fd8a13cf0a44b5675e374c2a911fcec579ca4165622e8049bff327ef66c1d
DIST apsw-3.49.1.0.zip 2452578 BLAKE2B
86668de3ffd71581611e1cb2dc8b249d8d104626e167eab3c98cb20747bbed17dc15517808e3c361f13adf89e8af515cffc55d7b3e1c4c75bdaeab37aff8ae16
SHA512
faae9cceb462428345fd2815a970dfc80574848f87bade7cceb09aed17127d020fd16402b3d36afe0fbc6bf707a408feea0ce038486c2a68a2ab1077a9b68d0a
+DIST apsw-3.50.0.0.zip 2530510 BLAKE2B
ae129f716ffa2b560e1983513c9cdace5225fda846be64080035f083d0b6e6fedc2367a7039aeb33b373076449862794932db331f0a7c3488e95e3e3c1af7fcf
SHA512
90c2df39cf6f2347449b809688c4789105f1e74b19292c82bf7271e6ba4f5ef70a71da65f8e8aec8b34ca16ea1e4ff7fbf386500b9d09958a9611e09c788e91c
diff --git a/dev-python/apsw/apsw-3.50.0.0.ebuild
b/dev-python/apsw/apsw-3.50.0.0.ebuild
new file mode 100644
index 000000000000..3c9ba41cd4e8
--- /dev/null
+++ b/dev-python/apsw/apsw-3.50.0.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="APSW - Another Python SQLite Wrapper"
+HOMEPAGE="
+ https://github.com/rogerbinns/apsw/
+ https://pypi.org/project/apsw/
+"
+SRC_URI="
+ https://github.com/rogerbinns/apsw/releases/download/${PV}/${P}.zip
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="doc"
+
+DEPEND="
+ >=dev-db/sqlite-${PV%.*}:3
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ app-arch/unzip
+"
+
+src_configure() {
+ cat >> setup.apsw <<-EOF || die
+ [build_ext]
+ use_system_sqlite_config=True
+ EOF
+}
+
+python_test() {
+ esetup.py build_test_extension
+ cd "${T}" || die
+ "${EPYTHON}" -m apsw.tests -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ doman man/apsw.1
+ use doc && local HTML_DOCS=( doc/. )
+ distutils-r1_python_install_all
+}